You are not logged in.

#26 2015-04-11 14:52:38

zaladix
Member
Registered: 2015-04-11
Posts: 2

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

Here also to confirm that @BaNks workaround did the trick for me.
Thank you @BaNks

Offline

#27 2015-04-11 20:04:03

zeos
Member
From: Waco, Tx
Registered: 2010-11-05
Posts: 5
Website

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

banks script worked for me as well.  I am using xinitrc to start cinnamon


Scooty Puff Jr. suuuuuuuuuuuuuuuuuccccckkkkkkkkkksssssssss!!!!!!!!!!

Offline

#28 2015-04-11 20:23:36

jaylittle
Member
Registered: 2013-01-16
Posts: 29

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

Don't we have an unstable gnome repo for this very reason?  Why is this unstable gnome garbage been moved into a stable repo when it clearly isn't stable?  <sigh>  I thought that when Arch added the unstable repo for Gnome, this kind of Cinnamon breakage would come to an end.  I guess I was wrong.  What a shame.

For the record, the script posted did allow cinnamon to start again (GDM is my display manager) but half of my themes no longer work.

Last edited by jaylittle (2015-04-11 20:24:15)

Offline

#29 2015-04-11 20:47:08

dice
Member
From: Germany
Registered: 2014-02-10
Posts: 413

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

If I understand things correctly in this case not gnome is unstable. It is cinnamon that was not yet supporting the newest version of gnome.
The problems are fixed in their git repo therefore nothing is wrong here.
There was a gnome update. cinnamon was not ready to work with the new version. They fixed the issue in a couple of days.
We have to use workarounds until the upstream fixes arrive in our repo.

These things happen with a rolling release / bleeding edge distro


I put at button on it. Yes. I wish to press it, but I'm not sure what will happen if I do.  (Gune | Titan A.E.)

Offline

#30 2015-04-11 20:53:51

jaylittle
Member
Registered: 2013-01-16
Posts: 29

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

I think the new Gnome version sought to remain in the unstable repo until cinnamon is updated to work with it.  People who want the new version of Gnome and actually use it can still get it from the unstable repo and the cinnamon users don't have to pay the price.  Is there a particular reason why this isn't the policy?

EDIT: To be fair, I'm more than annoyed that cinnamon continues to rely upon any part of Gnome.  If it was up to me I wouldn't keep it installed at all.  Every new version of Gnome is nothing less than a regression in my eyes.

Last edited by jaylittle (2015-04-11 20:55:14)

Offline

#31 2015-04-11 23:18:20

stuckinmemphis
Member
From: Hobart, Tasmania, Australia
Registered: 2013-09-04
Posts: 6

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

I only noticed this problem after updating to 2.4.8-1.  BaNkS workaround works for me.  I don't see any issues after applying the temporary fix. 

Thank you BaNkS.

Offline

#32 2015-04-12 07:28:54

john29
Member
Registered: 2014-11-27
Posts: 19

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

Cinnamon fix with update
cinnamon-session 2.4.3-2    i686/x86_64
muffin 2.4.5-2    i686/x86_6

Offline

#33 2015-04-12 09:07:30

Syl
Member
Registered: 2009-06-24
Posts: 39

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

Confirm that everything is fixed with the latest update.
No need anymore to enforce the clutter to use x11 with the scripts ...


広島のお好み焼きおたくです

Offline

#34 2015-04-12 10:22:38

Odaer
Member
Registered: 2010-08-14
Posts: 87

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

jaylittle wrote:

I think the new Gnome version sought to remain in the unstable repo until cinnamon is updated to work with it.  People who want the new version of Gnome and actually use it can still get it from the unstable repo and the cinnamon users don't have to pay the price.  Is there a particular reason why this isn't the policy?

EDIT: To be fair, I'm more than annoyed that cinnamon continues to rely upon any part of Gnome.  If it was up to me I wouldn't keep it installed at all.  Every new version of Gnome is nothing less than a regression in my eyes.

I don't think arch works like that. If something not is keeping up with the latest changes (like the catalyst driver) it is usually removed from the repos. I don't think they usually freeze the software system so X software should be able to be functional. If you want that, use a distro with stable releases, Fedora is a good choice with reasonably updated "stable" releases.

Offline

#35 2015-04-12 11:52:12

jaylittle
Member
Registered: 2013-01-16
Posts: 29

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

They don't usually do it, but it has happened.  As I recall bluez5 was held back for a very long time because nothing else would've worked with it and pushing it would've effectively broken bluetooth for everybody as a result.  In any event, I'm clearly on the wrong side of this issue so I'll concede.

I'm also happy to report that the latest cinnamon revisions seem to take care of the issue and that I no longer have to use the script work-around as a result.

Offline

#36 2015-04-12 13:36:15

BaNkS
Member
From: Houston, TX
Registered: 2015-04-10
Posts: 2

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

No problem people. Glad I could help with my little workaround, but all is good now since they pushed new cinnamon-session and muffin updates. smile

Last edited by BaNkS (2015-04-12 13:37:01)

Offline

#37 2015-04-12 21:05:23

bartonc
Member
From: Minden, Nevada, USA
Registered: 2012-02-27
Posts: 25

Re: cinnamon 2.4.7-1 does not start after upgrading clutter-gtk 1.6.0-2

Indeed. This is true on my system.

Syl wrote:

Confirm that everything is fixed with the latest update.
No need anymore to enforce the clutter to use x11 with the scripts ...

Offline

Board footer

Powered by FluxBB